<template>
    <div class="card overflow-hidden">
        <div class="card-body p-0 d-flex align-items-center">
            <div
                :class="background" 
                class="text-white p-4 me-3"
            ><i :class="icon"></i></div>
            <div>
                <div class="fs-6 fw-semibold text-primary">{{ count }}</div>
                <div class="text-medium-emphasis text-uppercase fw-semibold small">{{ title }}</div>
            </div>
        </div>
    </div>
</template>

<script>
	export default {
		name : 'widget-card',
		props: {
            background: {
                type: String,
                required: true
            },
            count: {
                type: Number,
                required: true
            },
            title: {
                type: String,
                required: true
            },
            icon: {
                type: String,
                required: true
            },
        }
	};
</script>
